众扬汇 AI 开放平台 API 文档

根据ID列表查询任务(免费

OpenAPI Specification

yaml
openapi: 3.0.1
info:
  title: ''
  description: "本页接口说明详见下方接口定义;参数取值与返回以本平台实测为准。"
  version: 1.0.0
paths:
  /mj/task/list-by-condition:
    post:
      summary: 根据ID列表查询任务(免费
      deprecated: false
      description: "本页接口「根据ID列表查询任务(免费」对应 POST /mj/task/list-by-condition(归属:绘图模型/Mid journey/任务查询(免费 / 任务查询)。"
      operationId: listByIdsUsingPOST
      tags:
        - 绘图模型/Mid journey/任务查询(免费
        - 任务查询
      parameters:
        - name: Authorization
          in: header
          description: "该字段的取值与含义以本平台实际返回为准。"
          required: false
          example: Bearer {{YOUR_API_KEY}}
          schema:
            type: string
            default: Bearer {{YOUR_API_KEY}}
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/%E4%BB%BB%E5%8A%A1%E6%9F%A5%E8%AF%A2%E5%8F%82%E6%95%B0
            examples: {}
      responses:
        '200':
          description: "该字段的取值与含义以本平台实际返回为准。"
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/%E4%BB%BB%E5%8A%A1'
          headers: {}
        '201':
          description: "该字段的取值与含义以本平台实际返回为准。"
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
        '401':
          description: "该字段的取值与含义以本平台实际返回为准。"
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
        '403':
          description: "该字段的取值与含义以本平台实际返回为准。"
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
        '404':
          description: "该字段的取值与含义以本平台实际返回为准。"
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
      security: []
components:
  schemas:
    任务查询参数:
      type: object
      properties:
        ids:
          type: array
          items:
            type: string
          refType: string
      title: 任务查询参数
    任务:
      type: object
      properties:
        action:
          type: string
          description: "任务所属类型"
          enum:
            - IMAGINE
            - UPSCALE
            - VARIATION
            - REROLL
            - DESCRIBE
            - BLEND
        description: "该字段的取值与含义以本平台实际返回为准。"
          type: string
          description: "任务说明"
        failReason:
          type: string
          description: "失败原因说明"
        finishTime:
          type: integer
          format: int64
          description: "任务结束的时间"
        id:
          type: string
          description: "唯一标识"
        imageUrl:
          type: string
          description: "图片访问地址"
        progress:
          type: string
          description: "任务处理进度(百分比)"
        prompt:
          type: string
          description: "生成用提示词"
        promptEn:
          type: string
          description: "英文版提示词"
        properties:
          type: object
          properties: {}
        startTime:
          type: integer
          format: int64
          description: "任务开始执行的时间"
        state:
          type: string
          description: "调用方透传的自定义参数"
        status:
          type: string
          description: "任务当前状态"
          enum:
            - NOT_START
            - SUBMITTED
            - IN_PROGRESS
            - FAILURE
            - SUCCESS
        submitTime:
          type: integer
          format: int64
          description: "任务提交的时间"
      title: 任务
  securitySchemes: {}
servers: []
security: []

使用提示:本页接口的 Base URL 为 https://api.allyang.cn,请求头需携带 Authorization: Bearer <令牌>(令牌在控制台「令牌管理」中创建)。示例中的任务 ID、时间戳与文件地址均为示意值,实际以平台返回为准。

模型名请在「模型广场」复制后填入,不要手输;计费、限流与在售清单以平台实测为准(部分数值待补)。